---

- name: Prepare all hosts
  ansible.builtin.import_playbook: playbooks/prepare_hosts.yml
  when:
    - prepare_hosts is defined
    - prepare_hosts | bool

- name: Prepare proxy
  ansible.builtin.import_playbook: playbooks/proxy.yml
  when:
    - proxy is defined
    - proxy | bool

- name: Prepare postgres node
  ansible.builtin.import_playbook: playbooks/postgres.yml
  when:
    - db is defined
    - db | bool

- name: Playbook for AWX Controllers and Workers
  ansible.builtin.import_playbook: playbooks/awx.yml
  when: 
    - ( controllers is defined and controllers | bool ) or
      ( workers is defined and workers | bool )
